| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Member Functions | Public Attributes | List of all members
jpeg_error_mgr Struct Reference

`#include <jpeglib.h>`

## Public Member Functions
| JMETHOD (void, error_exit,(j_common_ptr cinfo))
| JMETHOD (void, emit_message,(j_common_ptr cinfo, int msg_level))
| JMETHOD (void, output_message,(j_common_ptr cinfo))
| JMETHOD (void, format_message,(j_common_ptr cinfo, char *buffer))
| JMETHOD (void, reset_error_mgr,(j_common_ptr cinfo))

## Public Attributes
int | msg_code
union {
int i [8]
char s [JMSG_STR_PARM_MAX]
} | msg_parm
int | trace_level
long | num_warnings
const char *const * | jpeg_message_table
int | last_jpeg_message
const char *const * | addon_message_table
int | first_addon_message
int | last_addon_message

## Detailed Description

Definition at line 643 of file jpeglib.h.

## Member Function Documentation

jpeg_error_mgr::JMETHOD | ( | void | ,
|  | error_exit | ,
|  | (j_common_ptr cinfo) |
| ) |  |

jpeg_error_mgr::JMETHOD | ( | void | ,
|  | emit_message | ,
|  | (j_common_ptr cinfo, int msg_level) |
| ) |  |

jpeg_error_mgr::JMETHOD | ( | void | ,
|  | output_message | ,
|  | (j_common_ptr cinfo) |
| ) |  |

jpeg_error_mgr::JMETHOD | ( | void | ,
|  | format_message | ,
|  | (j_common_ptr cinfo, char *buffer) |
| ) |  |

jpeg_error_mgr::JMETHOD | ( | void | ,
|  | reset_error_mgr | ,
|  | (j_common_ptr cinfo) |
| ) |  |

## Member Data Documentation

const char* const* jpeg_error_mgr::addon_message_table

Definition at line 693 of file jpeglib.h.

int jpeg_error_mgr::first_addon_message

Definition at line 694 of file jpeglib.h.

int jpeg_error_mgr::i[8]

Definition at line 662 of file jpeglib.h.

const char* const* jpeg_error_mgr::jpeg_message_table

Definition at line 688 of file jpeglib.h.

int jpeg_error_mgr::last_addon_message

Definition at line 695 of file jpeglib.h.

int jpeg_error_mgr::last_jpeg_message

Definition at line 689 of file jpeglib.h.

int jpeg_error_mgr::msg_code

Definition at line 659 of file jpeglib.h.

union { ... } jpeg_error_mgr::msg_parm

long jpeg_error_mgr::num_warnings

Definition at line 676 of file jpeglib.h.

char jpeg_error_mgr::s[JMSG_STR_PARM_MAX]

Definition at line 663 of file jpeglib.h.

int jpeg_error_mgr::trace_level

Definition at line 668 of file jpeglib.h.

The documentation for this struct was generated from the following file:

- /usr/local/bsoft/jpeg/jpeglib.h